# src/reviewsense/core/llm.py
from langchain_groq import ChatGroq
from functools import lru_cache

@lru_cache()
def get_llm():
    """Get singleton LLM instance"""
    return ChatGroq(
        model_name="llama-3.3-70b-versatile",
        temperature=1
    )